/*
 * Name:           2Demo.REXX
 * Autor:          Stefan Kebekus
 * Datum:          29.7.92
 *
 * Sinn:           Demonstriert 2D-Graphik mit SIGMAth
 * Beschreibung:
 *
 * Dieses Programm erzeugt einige 2D-Objekte und gibt sie aus.
 *
 */

ADDRESS "rexx_SIGMAth"			/* Verbindung zu SIGMAth herstellen */
OPTIONS results				/* ja, wir wollen Ergebnisse */

clr_Graph				/* Graphik lschen */
gitter		0
logskal		0

SIGMAth2Front
Funktion	"-4 4 0.1*x*x*sqr(15-x*x)+0.2*abs(x^2-4)"
Graph 		"0 1"
Funktion	"-4 4 -0.1*x*x*sqr(15-x*x)-0.2*abs(x^2-4)"
Graph 		"0 1"
Requester "[Diese Abbildung zeigt|einen Hundeknochen][ _Weiter | _Aufhren ! ]"
if result = 1 then
 exit

Funktion	"-4 4 tancosx"
Graph 		"1 1"
Requester "[Diese Abbildung zeigt|(fast) eine Dreiecksschwingung][ _Weiter | _Aufhren ! ]"
if result = 1 then
 exit

Funktion	"-4 4 x*sin(2/x)"
Graph 		"1 1"
Requester "[Diese Abbildung zeigt|eine Funktion mit einer Oszillationsstelle][ _Weiter | _Aufhren ! ]"
if result = 1 then
 exit
Zoom		"-0.5 0.5"
Requester "[auch vergrern ndert nichts][ _Weiter | _Aufhren ! ]"
if result = 1 then
 exit

Funktion	"-10 10 2*sqr abs sin x"
Graph 		"1 1"
Requester "[Diese Abbildung zeigt|Bgen][ _Weiter | _Aufhren ! ]"
if result = 1 then
 exit

Funktion	"-10 10 -sqr abs cot(0.8*x)"
Graph 		"1 1"
Requester "[Diese Abbildung zeigt|maurische Bgen][ _Weiter | _Aufhren ! ]"
if result = 1 then
 exit

Funktion	"-5 5 2+2*sin(x)+x*x+0.5*sin(5*x)"
Graph 		"1 1"
Requester "[Diese Abbildung zeigt|einen ganz gewhnlichen Funktionsgraphen][ _Weiter | _Aufhren ! ]"
if result = 1 then
 exit
logSkal	1
Requester "[Die Abbildung kann logarithmisch skaliert werden..][ _Weiter | _Aufhren ! ]"
if result = 1 then
 exit
logSkal	0
gitter	1
Requester "[... oder mit einem Gitter hinterlegt][ _Weiter | _Aufhren ! ]"
if result = 1 then
 exit
gitter	0

Funktion	"-1 1 2+2*sin(x)+x*x+0.5*sin(5*x)"
Graph 		"1 1"
Taylor		"3 0"
Funktion	"-1 1 "Erg1.0"+"Erg1.1"*x+"Erg1.2"*x*x+"Erg1.3"*x*x*x"
Graph 		"0 2"
Requester "[Das Taylorpolynom kann bestimmt werden][ _Weiter | _Aufhren ! ]"
if result = 1 then
 exit


Funktion	"-5 5 2+2*sin(x)+x*x+0.5*sin(5*x)"
Graph 		"1 1"
Tangente	"1"
Funktion	"-5 5 "Erg1.0
Graph 		"0 2"
Requester "[Tangenten knnen bestimmt werden][ _Weiter | _Aufhren ! ]"
if result = 1 then
 exit

clr_Graph
clr_Daten
Set_Datum	"1 1.1"
Set_Datum	"2 4"
Set_Datum	"3 9.1"
Set_Datum	"4 15.8"
Set_Datum	"5 24.89"
Set_Datum	"6 37"
Set_Datum	"7 49"
DatenGraph	"1 0 1"
Requester "[Mit SIGMAth knnen Sie Datenpaare zeichnen][ _Weiter | _Aufhren ! ]"
if result = 1 then
 exit

Lin_Reg
Funktion	"1 7 "Erg1.3
Graph 		"0 2"
Requester "[... und Ausgleichsgraden ermitteln][ _Weiter | _Aufhren ! ]"
if result = 1 then
 exit
Pot_Reg
Funktion	"1 7 "Erg1.3
Graph 		"0 4"
Requester "[in diesem Falle besser: Ausgleichsparabeln][ _Weiter | _Aufhren ! ]"
if result = 1 then
 exit

Requester "[Damit ist diese Demo|beendet. Ich hoffe,|Sie hat Ihnen gut|gefallen ! ][ _Aufhren ! ]"
clr_Graph
clr_Daten
