/*
 * Name:           3Demo.REXX
 * Autor:          Stefan Kebekus
 * Datum:          16.1.95
 *
 * Sinn:           Demonstriert 3D-Graphik mit SIGMAth
 * Beschreibung:
 *
 * Dieses Programm erzeugt einige 3D-Objekte und gibt sie aus.
 *
 */

ADDRESS "rexx_SIGMAth"			/* Verbindung zu SIGMAth herstellen */
OPTIONS results				/* ja, wir wollen Ergebnisse */

clr_Graph				/* Graphik lschen */


say MathError
VekMode		"0 3"			/* Magisches Auge mit Koordinatenachsen */
SurfSteps	"15"
do_Rotate	"0 10 10 3100"		/* Vorderansicht, leicht geneigt */



/* Eine Menge Schattierter Funktionsgraphen */

clr_Graph				/* Graphik lschen */
Magic_Modus 1
SurfSteps	"25"
Requester "[Im Folgenden sehen Sie|einige Funktionsgraphen|2-Dimensionaler Funktionen.][Weiter|Aufhren !]"
if result = 1 then
 exit
new_surface	"u v 25/(9+u*u+v*v)"
SurfPlot	"-5 5 -5 5 1 1 0"
Requester "[Ein Berg.][Weiter|Aufhren !]"
if result = 1 then
 exit

new_surface	"u v -25*v/(9+u*u+v*v)"
SurfPlot	"-5 5 -5 5 1 1 0"
Requester "[Ein Berg und ein Tal.][Weiter|Aufhren !]"
if result = 1 then
 exit

clr_Graph				/* Graphik lschen */
Magic_Modus 0
new_surface	"u v 25/(9+u*u+(v-3)^2)+25/(9+u*u+(v+3)^2)"
SurfPlot	"-5 5 -5 5 1 1 0"
Requester "[Zwei Berge.][Weiter|Aufhren !]"
if result = 1 then
 exit

new_surface	"u v v*v-u*u"
SurfPlot	"-5 5 -5 5 1 1 0"
Requester "[Eine Sattelflche.][Weiter|Aufhren !]"
if result = 1 then
 exit

clr_Graph				/* Graphik lschen */
Magic_Modus 1
do_Rotate	"0 50 10 3100"		/* Ein wenig Rotieren */
new_surface	"u v (v*v+0.1)*(u*u+v*v+0.1)"
SurfPlot	"-5 5 -5 5 1 1 0"
Requester "[Ein Graben.][Weiter|Aufhren !]"
if result = 1 then
 exit

new_surface	"u v v*(3*u*u-v*v)"
SurfPlot	"-5 5 -5 5 1 1 0"
Requester "[Noch eine Sattelflche.][Weiter|Aufhren !]"
if result = 1 then
 exit

clr_Graph				/* Graphik lschen */
do_Rotate	"0 30 10 3100"		/* Ein wenig Rotieren */
new_surface	"u v -v*sqr abs (u*u)"
SurfPlot	"-5 5 -5 5 1 1 0"
Requester "[Ohne Worte][Weiter|Aufhren !]"
if result = 1 then
 exit

clr_Graph				/* Graphik lschen */
Magic_Modus 0
new_surface	"u v 2500/(50+(sqr(u*u+v*v)-3.5)^2)-1"
SurfPlot	"-5 5 -5 5 1 1 0"
Requester "[Ein Vulkan (in Durchsicht).][Weiter|Aufhren !]"
if result = 1 then
 exit

new_surface	"u v 50*cos(.5*(u*u+v*v)/(3+u*u+v*v))"
SurfPlot	"-5 5 -5 5 1 1 0"
Requester "[Ein Sombrero.][Weiter|Aufhren !]"
if result = 1 then
 exit

clr_Graph				/* Graphik lschen */
Magic_Modus 1
new_surface	"u v -cos(0.3*pi*u)*cos(pi*0.1*v)"
SurfPlot	"-5 5 -5 5 1 1 0"
Requester "[2 Berge, 1 Tal.][Weiter|Aufhren !]"
if result = 1 then
 exit


clr_Graph				/* Graphik lschen */
SurfSteps	"15"
new_surface	"(2+cos(u))*cos(v) (2+cos(u))*sin(v) sin(u)"
SurfPlot	"0 6.283 0 6.283 1 4 4"
new_surface	"sin(u)*cos(v) sin(u)*sin(v) cos(u)+2"
SurfPlot	"0 3.1415 0 6.283 0 6 5"
new_surface	"u v cosh(u*u+v*v)"
SurfPlot	"-1 1 -1 1 0 5 6"
Requester "[Ein Ei, kurz vor dem|Aufschlag.][Weiter|Aufhren !]"
if result = 1 then
 exit

clr_Graph				/* Graphik lschen */
Requester "[Damit ist diese Demo|beendet. Ich hoffe,|Sie hat Ihnen gut|gefallen !][Aufhren !]"

